.header {
  position: fixed;
  inset: 0 0 auto 0;
  z-index: 100;
  padding: 18px 0;
  background: transparent;  

}


.header__inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* ЛОГОТИП */

.logo {
  font-weight: 900;
  letter-spacing: 0.08em;
  font-size: 26px;
}

/* НАВИГАЦИЯ */

.nav {
  display: flex;
  align-items: center;
  gap: 36px;
}

/* общая база для ссылок и кнопки */
.nav__link,
.nav__btn {
  position: relative;
  cursor: pointer;
  text-transform: uppercase;
}


.nav__link {
  font-size: 13px;
  letter-spacing: 0.22em;
  font-weight: 600;
  padding: 4px 0;
}

/* линия */
.nav__link::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -6px;
  width: 0;
  height: 2px;
  border-radius: 999px;
  background-color: rgba(103, 81, 97);
  transform: translateX(-50%);
  transition: width 0.35s cubic-bezier(.22,.61,.36,1);
}

.nav__link:hover::after,
.nav__link:focus-visible::after {
  width: 100%;
}

.nav__link:hover,
.nav__link:focus-visible {
  transform: translateY(-1px);
  transition: transform 0.25s ease-out;
}

/* КНОПКА «СВЯЗАТЬСЯ» */

.nav__btn {
  font-size: 12px;
  letter-spacing: 0.22em;
  font-weight: 600;
  padding: 10px 24px;
  border-radius: 999px;
  border: 2px solid rgba(103, 81, 97);
  background: transparent;
  color: rgba(103, 81, 97);
  transition:
    background 0.3s cubic-bezier(.22,.61,.36,1),
    color 0.25s ease-out,
    box-shadow 0.3s ease-out,
    transform 0.25s ease-out,
    border-color 0.25s ease-out;
}

.nav__btn:hover,
.nav__btn:focus-visible {
  background: rgba(103, 81, 97);
  color: rgb(245, 252, 238);
  box-shadow: 0 10px 26px rgba(103, 81, 97);
  transform: translateY(-2px);
}
